cancel
Showing results for 
Search instead for 
Did you mean: 

TestExecute do not recognize the Firefox version 66.0.1

Super Contributor

TestExecute do not recognize the Firefox version 66.0.1

VM Machine:  Windows Server 2012 R@ 

TestExecute version 14.0.317 

Firefox version is 66.0.1

 

I am trying to run the Testcomplete tests on the above VM machine through jenkins and after looking at the logs in jenkins  and display the message that this firefox version is not supported .- attached below.

I have already checked for Check for updates unbder TestExecute and it is the latest version .

 

Not sure why ? Please update 

Thanks

Nishchal

 

Started by user Nishchal Gupta
[EnvInject] - Loading node environment variables.
Building remotely on slave_plaza in workspace C:\Users\nisgupta\Documents\TestComplete\workspace\TC_UDEV_Budget-002NBALaborJobsDistribution

[TestComplete] The test execution started (HSC Budget NBAJOBS/Budget-002 HSC Budget-NBAJOBS).
[TestComplete] Found TestComplete/TestExecute installations:
	Type: TE, Version: 12.60.5545.11, Path: "C:\Program Files (x86)\SmartBear\TestExecute 12\x64\bin\TestExecute.exe"
	Type: TE, Version: 14.0.317.11, Path: "C:\Program Files (x86)\SmartBear\TestExecute 14\x64\bin\TestExecute.exe"
[TestComplete] Selected TestComplete/TestExecute installation:
	Type: TE, Version: 14.0.317.11, Path: "C:\Program Files (x86)\SmartBear\TestExecute 14\x64\bin\TestExecute.exe"
[TestComplete] [WARNING] The node is connected via Java Web Start (JNLP). In this mode, the "Run interactive user session" property of the TestComplete Test step is ignored. TestComplete (or TestExecute) will work in the current user session.
[TestComplete] Launching the test runner.
$ "C:\Program Files (x86)\SmartBear\TestExecute 14\x64\bin\TestExecute.exe" "C:\Users\nisgupta\Documents\TestComplete\workspace\TC_UDEV_Budget-002NBALaborJobsDistribution\HSC Budget NBAJOBS\HSC Budget NBAJOBS.pjs" /run /SilentMode /ForceConversion /ns /exit /ExportLog:C:\Users\nisgupta\Documents\TestComplete\workspace\TC_UDEV_Budget-002NBALaborJobsDistribution\1553285583211.tclogx /ExportLog:C:\Users\nisgupta\Documents\TestComplete\workspace\TC_UDEV_Budget-002NBALaborJobsDistribution\1553285583211.htmlx /ErrorLog:C:\Users\nisgupta\Documents\TestComplete\workspace\TC_UDEV_Budget-002NBALaborJobsDistribution\1553285583211.txt /ExportLog:C:\Users\nisgupta\Documents\TestComplete\workspace\TC_UDEV_Budget-002NBALaborJobsDistribution\1553285583211.mht "/project:Budget-002 HSC Budget-NBAJOBS" /DoNotShowLog /JenkinsTCPluginVersion:2.1
[TestComplete] Test runner exit code: 3.
[TestComplete] [WARNING] Error: This Firefox Version Is Not Supported.
[TestComplete] [WARNING] Errors occurred during the test execution.
[TestComplete] Marking the build as UNSTABLE.
[TestComplete] The test execution finished (HSC Budget NBAJOBS/Budget-002 HSC Budget-NBAJOBS).
Build step 'TestComplete Test' changed build result to UNSTABLE
[confluence] Uploading attachments to Confluence page: https://confluence.texastech.edu/display/TES/BUDGET-002+Test+Results
[confluence] Evaluating fileset pattern: HSC Budget NBAJOBS/Budget-002 HSC Budget-NBAJOBS/Log/Result/Budget-002 HSC Budget-NBAJOBS Labor Distribution Test Results.mht
[confluence] No files matched the pattern 'HSC Budget NBAJOBS/Budget-002 HSC Budget-NBAJOBS/Log/Result/Budget-002 HSC Budget-NBAJOBS Labor Distribution Test Results.mht'.
[confluence] ‘HSC Budget NBAJOBS/Budget-002 HSC Budget-NBAJOBS/Log/Result/Budget-002 HSC Budget-NBAJOBS Labor Distribution Test Results.mht’ doesn’t match anything: ‘HSC Budget NBAJOBS’ exists but not ‘HSC Budget NBAJOBS/Budget-002 HSC Budget-NBAJOBS/Log/Result/Budget-002 HSC Budget-NBAJOBS Labor Distribution Test Results.mht’
[confluence] Uploading 0 file(s) to Confluence...
[confluence] Done
Started calculate disk usage of build
Finished Calculation of disk usage of build in 0 seconds
Started calculate disk usage of workspace
Finished Calculation of disk usage of workspace in 0 seconds
Finished: UNSTABLE

 

 

 

6 REPLIES 6
Community Hero

Re: TestExecute do not recognize the Firefox version 66.0.1

Community Hero

Re: TestExecute do not recognize the Firefox version 66.0.1

Hi,

 

And the good recommended practice to keep test environment in predictable and controlled state is to disable all automatic updates and apply them only after verification that this or that update does not break test environment state.

 

Regards,
Alex
[Community Expert Group]
____
[Community Expert Group] members are not employed by SmartBear Software but
are just volunteers who have some experience with the tools by SmartBear Software
and a desire to help others. Postings made by [Community Expert Group] members
may differ from the official policies of SmartBear Software and should be treated
as the own private opinion of their authors and under no circumstances as an
official answer from SmartBear Software.
[Community Expert Group] signature is used with permission by SmartBear Software.
http://smartbear.com/forums/f83/t86934/community-experts/
================================
Frequent Contributor

Re: TestExecute do not recognize the Firefox version 66.0.1

Rightclicking the TestExecute Symbol - Check for Updates - must be done for TestExecute and TestComplete separately, so you might have updates TestComplete, where you created the Test, but not TestExecute on the Computer you executed the test

Super Contributor

Re: TestExecute do not recognize the Firefox version 66.0.1

@Marsha_R 

@AlexKaras 

@Lagencie 

 

I have the TestComplete version 14.0.100 and the TestExecute Version 14.0.317

 

Do I need to upgrade the TestComplete version 14.0.317 ?

 

Thanks

Nishchal

Frequent Contributor

Re: TestExecute do not recognize the Firefox version 66.0.1

No TC / TE versions doesnt have to match.

 

Your Plugin Version in TE must match the firefox version - as does the TC Plugin Version.

 

Rightclick TE symbol once you have opened it manually "Check for Updates" checks if there are updates for the installed browser versions.

 

Or if it is a very new firefox version it might not be added yet and the link @Marsha_R  provided in the top might help to manually install the firefox plugin for TE

Highlighted
Community Hero

Re: TestExecute do not recognize the Firefox version 66.0.1

Hi Nishchal,

 

Exactly the same versions of TestComplete and TestExecute are highly recommended for the Networked testing. For other testing mismatch in the minor version number usually is acceptable.

 

In your case minor version upgrade won't change anything because you need patch for Firefox applicable to version 14 of TestComplete/TestExecute.

So just check the link provided by @Marsha_R and wait a bit for the patch to be added if it is not there yet.

 

Regards,
Alex
[Community Expert Group]
____
[Community Expert Group] members are not employed by SmartBear Software but
are just volunteers who have some experience with the tools by SmartBear Software
and a desire to help others. Postings made by [Community Expert Group] members
may differ from the official policies of SmartBear Software and should be treated
as the own private opinion of their authors and under no circumstances as an
official answer from SmartBear Software.
[Community Expert Group] signature is used with permission by SmartBear Software.
http://smartbear.com/forums/f83/t86934/community-experts/
================================
New Here?
Join us and watch the welcome video:
Watch the New Interview
APITestingMistake#2
Top Kudoed Authors